<?php
	$sb = cws_GetSbClasses($post->ID);
	$sb_block = $sb['sidebar_pos'];

	get_header();
	$class_container = 'page-content' . (cws_has_sidebar_pos($sb_block) ? ( 'both' == $sb_block ? ' double-sidebar' : ' single-sidebar' ) : '');
	?>
	<div class="<?php echo(esc_attr($class_container)); ?>">
		<div class="container">
			<?php
				if (cws_has_sidebar_pos($sb_block)) {
					if ('both' == $sb_block) {
						echo '<aside class="sbleft">';
						dynamic_sidebar($sb['sidebar1']);
						echo '</aside>';
						echo '<aside class="sbright">';
						dynamic_sidebar($sb['sidebar2']);
						echo '</aside>';
					} else {
						echo '<aside class="sb'.$sb_block.'">';
						dynamic_sidebar($sb['sidebar1']);
						echo '</aside>';
					}
				}
			?>
			<main>
				<div class="grid-row">
					<section class="news blog-post staff">
						<div class="item">
							<?php
							while ( have_posts() ): the_post();
								$cws_stored_meta = get_post_meta( get_the_ID(), 'cws-staff');
								$cws_stored_meta = $cws_stored_meta[0];
								$social_meta = isset($cws_stored_meta['social']) ? $cws_stored_meta['social'] : null;

								$thumbnail = has_post_thumbnail( $post->ID ) ? wp_get_attachment_image_src(get_post_thumbnail_id( $post->ID ),'full') : null;
								$thumbnail = $thumbnail ? $thumbnail[0] : null;
								$thumbnail = bfi_thumb( $thumbnail, array( 'width'=>250, 'height'=>250 ) );
								echo "<div class='wrapper'>";
								if ($thumbnail) {
									echo ("<div class='pic'><img src='".esc_url($thumbnail)."' /></div>");
								} 
								echo "<div class='social-icons'>";
								for ($i=0;$i<count($social_meta);$i++){
									if ( (!empty($social_meta[$i]['cws-mb-socialgroup-fa'])) && (!empty($social_meta[$i]['cws-mb-socialgroup-url'])) ) {
										$fa = $social_meta[$i]['cws-mb-socialgroup-fa'];
										$fa5 = substr($fa, 0, 5);
										if ('fa fa' !== $fa5 && 'flati' !== $fa5) {
											$fa = 'fa fa-' . $fa;
										} else {
											$fa = 'fa ' . $fa;
										}
										?>
										<span class="icon">
											<a href="<?php echo (esc_url($social_meta[$i]['cws-mb-socialgroup-url'])); ?>">
												<i class="fa <?php echo(esc_attr($fa)); ?>"></i>
											</a>
										</span>
										<?php
									}
								}
								echo "</div>";
								echo "</div>";
								$title = get_the_title();
								if ($title){
									?>
										<div class="widget-title"><?php echo(esc_html($title)); ?></div>
									<?php
								}
								echo apply_filters('the_content', $post->post_content);


								$staff_info = array(
									esc_html__('departments', 'clinico' ) => wp_get_post_terms( get_the_ID(), 'cws-staff-dept'),
									esc_html__('positions', 'clinico' ) => wp_get_post_terms( get_the_ID(), 'cws-staff-position'),
									esc_html__('treatments', 'clinico' ) => wp_get_post_terms( get_the_ID(), 'cws-staff-treatments'),
									esc_html__('procedures', 'clinico' ) => wp_get_post_terms( get_the_ID(), 'cws-staff-procedures'),
									esc_html__('degree', 'clinico' ) => isset( $cws_stored_meta['cws-staff-degree'] ) ? esc_attr( $cws_stored_meta['cws-staff-degree'] ) : '',
									esc_html__('office', 'clinico' ) => isset( $cws_stored_meta['cws-staff-office'] ) ? esc_attr( $cws_stored_meta['cws-staff-office'] ) : '',
									esc_html__('workingdays', 'clinico' ) => isset( $cws_stored_meta['cws-staff-workingdays'] ) ? $cws_stored_meta['cws-staff-workingdays'] : array()
								);
								echo "<section class='cats_group'>";
									$dow = array( esc_html__("Sunday", 'clinico') , esc_html__("Monday", 'clinico'), esc_html__("Tuesday", 'clinico'), esc_html__("Wednesday", 'clinico'), esc_html__("Thursday", 'clinico'), esc_html__("Friday", 'clinico'), esc_html__("Saturday", 'clinico') );
									foreach ($staff_info as $k => $v){
										if (!empty($v)){
											echo "<div class='cats'>";
												echo "<span class='cats_section_name'>$k</span>: ";
												if (is_array($v)){
													for($i=0;$i<count($v);$i++) {
														if($k == esc_html__('workingdays', 'clinico' )){
															echo(esc_html($dow[(int)$v[$i]]));
														}
														else{
															echo(esc_html($v[$i]->name));
														}
														if ($i<count($v)-1) {
															echo(", ");
														}
													}
												}
												else{
													echo(esc_html($v));
												}
											echo "</div>";
										}
									}
								echo "</section>";

							endwhile;
							?>
						</div>
					</section>
				</div>
				<?php comments_template(); ?>
			</main>
		</div>
	</div>

<?php get_footer(); ?>